Package org.spongepowered.asm.mixin

## Class MixinIntrinsics

- java.lang.Object
- - org.spongepowered.asm.mixin.MixinIntrinsics

    public final class MixinIntrinsics
    extends java.lang.Object

Intrinsics for use in @Mixin classes.

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `currentEnumOrdinal()` Only to be used in the initializers of enum extension constants.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### currentEnumOrdinal

    public static int currentEnumOrdinal()

Only to be used in the initializers of enum extension constants. Returns the current constant's final ordinal.